Bug 1260211 - [GSS](6.1.z) Unable to call a reusable process that contains a "_" (underscore) in the name in BPM Suite 6.1.2
[GSS](6.1.z) Unable to call a reusable process that contains a "_" (underscor...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity unspecified
: CR2
: 6.1.0
Assigned To: Tihomir Surdilovic
Jiri Locker
:
Depends On: 1255149
Blocks: 1259382
  Show dependency treegraph
 
Reported: 2015-09-04 14:25 EDT by Amana
Modified: 2015-10-20 06:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1255149
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1593173 None None None Never

  None (edit)
Description Amana 2015-09-04 14:25:15 EDT
+++ This bug was initially created as a clone of Bug #1255149 +++

Description of problem:
When naming a reusable process using "_" (i.e. test_sample_new), it is not listed under "Called Element" to the parent process.

I am unsure if it is really a bug or if it is the expected behavior... I mean it could be a kind of "reserved" sign as it is listing resusable processes that contains "." or "-" in their names. 


Version-Release number of selected component (if applicable):
BPM Suite 6.1.x


How reproducible:
Always


Steps to Reproduce:
1. Create a main process with a Reusable subprocess node;
2. Create a simple process as "test_sample_new" (it can contain only a ScriptTask);
3. Create another process as "testSampleNew" (it can contain only a ScriptTask);
4. Back to the main process, click on "Called Element"...

Actual results:
It will list only the "testSampleNew";

Expected results:
It should list both processes, maybe?


Additional info:
A workaround would be to use "." or "-" or other sign.

--- Additional comment from Amana on 2015-08-19 14:51:54 EDT ---


Hi all,

Is it really a bug? Or a reserved sign?

Thanks!

--- Additional comment from JBoss Product and Program Management on 2015-08-19 15:00:07 EDT ---

Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

--- Additional comment from Amana on 2015-08-24 10:09:48 EDT ---

any updates?
Comment 3 Tihomir Surdilovic 2015-10-08 10:24:24 EDT
6.2.x commit https://github.com/droolsjbpm/jbpm-designer/commit/34ae4195d
Comment 4 Tibor Zimanyi 2015-10-13 07:05:02 EDT
Changing state to MODIFIED, because will be available for testing with new build. When new build will be available, all MODIFIED BZs included in the build should change state to ON_QA.
Comment 6 Jiri Locker 2015-10-20 06:03:22 EDT
Fix verified in CR2.

Note You need to log in before you can comment on or make changes to this bug.